Bug 17246 - Add masks to virtual IP addresses
Summary: Add masks to virtual IP addresses
Status: CLOSED ERRATA
Alias: None
Product: Red Hat High Availability Server
Classification: Retired
Component: piranha   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Wil Harris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-05 08:32 UTC by Need Real Name
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 01:41:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-09-05 08:32:59 UTC
Hi,

I have an enhancement request.  I would like to be able to specify a network mask 
for the virtual IP addresses in the configuration of piranha.

Currently ifconfig is called without a mask and uses the incorrect (for me) default 
mask.

Thank you
Tinus

Comment 1 Red Hat Bugzilla 2000-09-05 14:28:04 UTC
Erm actually I'm releasing code to do just this today...
It'll be in the experimental download area as we took delivery of new equipment
to replace the old test rig and I havn't gotten around to doing full testing as
yet.

The testing I've done at my desk suggests that it does work fine though.
When I've done the final build I'll update this 'bug' to point to it

Phil
=--=

Comment 2 Red Hat Bugzilla 2000-09-05 15:09:42 UTC
Put up the version of piranha with the virtual IP. This can be found off

	ftp://people.redhat.com/kbarrett/HA/experimental/

(Subnote to selves: the community pages have been shifted around *again*)

Comment 3 Red Hat Bugzilla 2000-09-12 01:44:15 UTC
Status changed to the more accurate ERRATA


Comment 4 Red Hat Bugzilla 2000-09-14 00:36:22 UTC
This is being re-worked, so the RPMs have not been posted yet. They will appear
in the near future and will be announced on piranha-list and freshmeat. Status
changed to open.


Comment 5 Red Hat Bugzilla 2000-09-19 00:52:17 UTC
Ok,, for those that want to be the first to try them

	ftp://people.redhat.com/kbarrett/HA/experimental/

What you get:
	netmask feature for the NAT router and for the customer facing virtual IP

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.